## gnome-software 3.26.1

=== debian/changelog ===
gnome-software (3.26.1-0ubuntu2.17.10.1) artful; urgency=medium

  [ Robert Ancell ]
  * debian/patches/0001-snap-Don-t-crash-on-unknown-snap-types.patch:
    - Fix crash when broken snaps installed (LP: #1720442)
  * debian/patches/0001-snap-Protect-store-cache-with-a-lock.patch:
    - Fix crash due to multiple threads accessing a cache (LP: #1716633)
  * debian/patches/0001-snap-Don-t-attempt-to-refine-snaps-without-a-valid-n.patch:
    - Fix potential crash from invalid snaps
  * debian/patches/0001-snap-Remove-unused-variables.patch:
    - Trivial patch added to make above patches apply cleanly
  * debian/patches/0001-Add-a-cancellable-to-GsApp-objects.patch:
  * debian/patches/0001-Allow-to-cancel-app-ops-in-the-details-view-that-wer.patch:
    - Fix cancelling with multiple installs (LP: #1722183)
  * debian/control:
    - Add Vcs-Bzr link

  [ Jeremy Bicha ]
  * Cherry-pick 0001-Don-t-error-out-for-over-500-results.patch:
    - Fix empty Addons > Shell Extensions category (LP: #1722809)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Nov 2017 11:58:57 +1300

gnome-software (3.26.1-0ubuntu2) artful; urgency=medium

  * debian/patches/0001-snap-Fix-crash-authenticating-with-Ubuntu-One.patch:
    - Fix crash authenticating with Ubuntu One (LP: #1723312)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Oct 2017 09:33:05 +1300

gnome-software (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream stable release: (LP: #1721308)
    - Fixes snap plugin not working after snap restart (LP: #1718170)
  * debian/patches/0001-gs_details_page_set_url-Pass-helper-to-gs_plugin_loa.patch
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Oct 2017 10:36:26 +1300

gnome-software (3.26.0-0ubuntu3) artful; urgency=medium

  * debian/patches/0001-gs_details_page_set_url-Pass-helper-to-gs_plugin_loa.patch
    - Fix crash loading snap URLs (LP: #1720227)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 29 Sep 2017 10:30:11 -0400

gnome-software (3.26.0-0ubuntu2) artful; urgency=medium

  * debian/ubuntu-software.links:
    - Ensure xorg session also displays "Ubuntu Software" name and icon.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Sep 2017 16:54:31 +0200

gnome-software (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream stable release
  * debian/patches/0001-Do-not-crash-if-a-GsPluginEvent-has-no-unique-ID.patch:
  * debian/patches/0001-Fix-GObject-arguments-not-working-on-32-bit-systems.patch:
  * debian/patches/0001-snap-Use-the-global-cache-to-store-snap-GsApp-object.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 15 Sep 2017 09:32:27 +1200

gnome-software (3.25.91-1ubuntu5) artful; urgency=medium

  * debian/patches/0012-snap-Correct-the-app-origin.patch:
    - Store is now called "Snap Store"

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 07 Sep 2017 09:09:54 +1200

gnome-software (3.25.91-1ubuntu4) artful; urgency=medium

  * debian/patches/0001-snap-Correct-the-app-origin.patch:
    - Set correct store name (LP: #1706500)
  * debian/patches/0001-Do-not-crash-if-a-GsPluginEvent-has-no-unique-ID.patch:
    - Fix common crash (LP: #1706043)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Sep 2017 12:14:00 +1200

gnome-software (3.25.91-1ubuntu3) artful; urgency=medium

  * debian/patches/0001-snap-Use-the-global-cache-to-store-snap-GsApp-object.patch:
    - Fix shell search results not showing (LP: #1713929)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Sep 2017 16:42:47 +1200

gnome-software (3.25.91-1ubuntu2) artful; urgency=medium

  * debian/patches/0001-Fix-GObject-arguments-not-working-on-32-bit-systems.patch:
    - Fix crash running on i386 (LP: #1708998)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Aug 2017 15:51:51 +1200

gnome-software (3.25.91-1ubuntu1) artful; urgency=medium

  * Merge with Debian, remaining changes:
    + debian/patches/*.patch: Various Ubuntu changes from wip/ubuntu-master
    branch - see patch headers for more information.
    + Add an "ubuntu-software" package with some branding for Ubuntu.
    + debian/control{,.in}, debian/rules, debian/gnome-software-plugin-snap.*:
      Enable the Snap plugin and build it into a gnome-software-plugin-snap
      binary package
    + debian/gnome-software.gsettings-override.in: Mark universe packages as
      Free.
    + debian/rules: Strip -Wl,-Bsymbolic-functions from LDFLAGS so that
      plugins can be loaded properly.
    + debian/source_gnome-software.py: Add an Apport hook to report which
      plugins are installed.
  * GNOME Software provides the PackageKit session interface. Sessioninstaller
    wants to do that too - Conflict with it to get it off user systems.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Aug 2017 18:11:03 +0100

gnome-software (3.25.91-1) experimental; urgency=medium

  * debian/compat: Bump to 10, mainly to get --parallel by default.
  * New upstream release 3.25.91 (LP: #1706715)
    + Doesn't let you cancel PackageKit (.deb) installations when PK says it's
      not allowed. (LP: #1707053)

 -- Iain Lane <laney@debian.org>  Thu, 24 Aug 2017 16:33:38 +0100

gnome-software (3.25.90-0ubuntu2) artful; urgency=medium

  * debian/patches/0003-snap-Handle-suffixes-being-added-to-banner-screensho.patch:
    - Handle suffixes on featured snap screenshots

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 21 Aug 2017 15:29:33 +1200

gnome-software (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/patches/0001-snap-Use-first-featured-snap-as-featured-app.patch:
    - Show snap in "Featured" section (LP: #1706478)
  * debian/patches/0002-Make-gs_app_list_filter_duplicates-not-change-app-or.patch:
  * debian/patches/0008-snap-Only-feature-snaps.patch:
  * debian/patches/0009-Don-t-randomize-editors-picks.patch:
    - Show only snaps in "Editor's Picks" (LP: #1705953)


