=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>,
           Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: appstream,
               appstream-util,
               debhelper (>= 10.4),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               intltool (>= 0.35.0),
               libappstream-glib-dev (>= 0.7.0~),
               libflatpak-dev (>= 0.6.12) [linux-any],
               libfwupd-dev (>= 0.9.3) [amd64 arm64 armhf i386],
               libglib2.0-dev (>= 2.46),
               libgnome-desktop-3-dev (>= 3.18),
               libgtk-3-dev (>= 3.20),
               libgtkspell3-3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev,
               liblimba-dev (>= 0.5.6) [linux-any],
               liboauth-dev,
               libpackagekit-glib2-dev (>= 1.1.4),
               libpolkit-gobject-1-dev,
               libsecret-1-dev,
               libsoup2.4-dev (>= 2.52),
               libsnapd-glib-dev (>= 1.16),
               libsqlite3-dev,
               libxml2-utils,
               meson (>= 0.37),
               pkg-config,
               valgrind,
               xsltproc
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Software
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-artful

Package: gnome-software
Architecture: any
Depends: appstream,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         packagekit (>= 1.1.4),
         software-properties-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-packagekit-session (<< 3.16.0-2~)
Breaks: gnome-packagekit-session (<< 3.16.0-2~)
Conflicts: sessioninstaller
Recommends: gnome-software-plugin-snap [linux-any],
Suggests: fwupd [amd64 arm64 armhf i386],
          gnome-software-plugin-flatpak [linux-any],
          gnome-software-plugin-limba [linux-any]
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-flatpak
Architecture: linux-any
Depends: flatpak,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-limba
Architecture: linux-any
Depends: gnome-software (= ${binary:Version}),
         limba,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 3.21.92)
Replaces: gnome-software (<< 3.21.92)
Description: Limba support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Limba plugin.

Package: gnome-software-plugin-snap
Architecture: linux-any
Depends: gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-packagekit-session
Architecture: all
Section: oldlibs
Priority: extra
Depends: gnome-software (>= ${source:Version}),
         ${misc:Depends}
Description: Transitional package (gnome-packagekit-session -> gnome-software)
 Transitional dummy package replacing gnome-packagekit-session with
 gnome-software.
 .
 The PackageKit session interface is no separate component anymore, but built
 into GNOME-Software.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libgtk-3-dev,
         libappstream-glib-dev,
         libsoup2.4-dev,
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

Package: ubuntu-software
Architecture: all
Depends: gnome-software (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utility for browsing, installing, and removing software
 Ubuntu Software lets you browse and install the applications available for
 Ubuntu. You can view available software by category, or search by name
 or description. You can also examine the software already installed, and
 remove items you no longer need.
 .
 To install or remove software using Ubuntu Software, you need administrator
 access on the computer.
