## gnome-software 3.28.1

=== meson_options.txt ===
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-gspell', type : 'boolean', value : true, description : 'enable gspell')
option('enable-gnome-desktop', type : 'boolean', value : true, description : 'enable gnome-desktop')
option('enable-man', type : 'boolean', value : true, description : 'enable man pages')
option('enable-packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('enable-polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('enable-fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('enable-flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('enable-limba', type : 'boolean', value : false, description : 'enable Limba support')
option('enable-rpm-ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('enable-steam', type : 'boolean', value : true, description : 'enable Steam support')
option('enable-shell-extensions', type : 'boolean', value : true, description : 'enable shell extensions support')
option('enable-odrs', type : 'boolean', value : true, description : 'enable ODRS support')
option('enable-ubuntuone', type : 'boolean', value : true, description : 'enable UbuntuOne support')
option('enable-ubuntu-reviews', type : 'boolean', value : true, description : 'enable Ubuntu reviews support')
option('enable-webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('enable-gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('enable-snap', type : 'boolean', value : false, description : 'enable Snap support')
option('enable-external-appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('enable-valgrind', type : 'boolean', value : true, description : 'enable Valgrind debugging integration')
option('enable-gtk-doc', type : 'boolean', value : true, description : 'enable API reference')
