=== debian/changelog ===
gnome-software (3.28.1-0ubuntu4) bionic; urgency=medium

  * debian/patches/0001-Fix-gs_app_set_state_recover-not-working-during-purc.patch:
    - Fix purchase button disappearing when setting up credit card
  * debian/patches/0019-Disable-paid-snap-support-unless-env-variable-GNOME_.patch:
    - Disable paid support for now (enable by setting the
      GNOME_SOFTWARE_SHOW_PAID environment variable)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Apr 2018 15:22:29 +1200

gnome-software (3.28.1-0ubuntu3) bionic; urgency=medium

  * Merge change from Debian:
    - Drop icon-download APT config snippet, depend on shared apt-config-icons
      instead (LP: #1764589)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Apr 2018 21:25:08 -0400

gnome-software (3.28.1-0ubuntu2) bionic; urgency=medium

  * debian/patches/0017-snap-Use-default-icon-if-none-provided.patch:
    - Fix snaps without icons not showing (LP: #1763736)
  * debian/patches/0018-snap-Make-snaps-purchasable.patch:
    - Support purchasable snaps (LP: #1547135)
  * debian/patches/0001-snap-Scale-embedded-snap-icons-to-64x64.patch:
  * debian/patches/0001-snap-Only-load-icons-once.patch:
    - Fix snap icon sizes and stop duplicate loading

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Apr 2018 15:32:27 +1200

gnome-software (3.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2018 11:32:17 +1200

gnome-software (3.28.0-0ubuntu7) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix dialog title not being translatable (LP: #1758207)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 23 Mar 2018 13:59:05 +1300

gnome-software (3.28.0-0ubuntu6) bionic; urgency=medium

  * debian/patches/0016-Translate-ubuntu-desktop-file.patch:
  * debian/rules:
  * debian/ubuntu-software.install:
    - Translate Ubuntu's .desktop file (LP: #1756982).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 21 Mar 2018 15:10:00 +0100

gnome-software (3.28.0-0ubuntu5) bionic; urgency=medium

  [ Jeremy Bicha ]
  * debian/ubuntu-software.links:
    - Update for renamed Ubuntu on Wayland session

  [ Robert Ancell ]
  * debian/patches/0011-Support-snap-channels.patch:
    - Don't do round-trip to server for featured snaps - only need
      to do this on details page to show channel information. (LP: #1756184)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Mar 2018 16:11:28 +1300

gnome-software (3.28.0-0ubuntu4) bionic; urgency=medium

  * debian/patches/0001-Stop-searching-multiple-times-on-search-page.patch:
    - Stop duplicate search queries (LP: #1756184)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Mar 2018 12:21:56 +1300

gnome-software (3.28.0-0ubuntu3) bionic; urgency=medium

  * debian/patches/0001-snap-Only-refine-screenshots-when-requested.patch:
  * debian/patches/0011-Support-snap-channels.patch:
    - Avoid crash populating snap screenshots and channels (LP: #1755198)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Mar 2018 16:43:28 +1300

gnome-software (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix spelling mistakes (LP: #1755395)
  * debian/patches/0005-details-Show-an-in-app-notification-when-passed-an-i.patch:
    - Fix crash following snap URLs (LP: #1752645)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Mar 2018 15:27:10 +1300

gnome-software (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/patches/0001-snap-Fix-invalid-metadata-after-cancelled-refine.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Mar 2018 17:00:42 +1300

gnome-software (3.27.92-0ubuntu3) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix string not marked for translation (LP: #1754903)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Mar 2018 12:52:50 +1300

gnome-software (3.27.92-0ubuntu2) bionic; urgency=medium

  * debian/patches/0001-snap-Fix-invalid-metadata-after-cancelled-refine.patch:
  * debian/patches/0015-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Fix snaps not being shown correctly after install from command line
      (LP: #1754655)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Mar 2018 13:40:18 +0100

gnome-software (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/patches/0001-Don-t-use-app-ID-as-a-tie-break-when-ordering-search.patch
  * debian/patches/0001-Make-app-name-sorting-case-insensitive.patch
  * debian/patches/0001-Revert-snap-Show-revision-number-in-version-field.patch
  * debian/patches/0001-snap-Refactor-how-metadata-is-merged-between-install.patch
    - Applied upstream
  * debian/patches/0009-Display-a-warning-for-non-sandboxed-snaps.patch:
    - Update warning text
  * debian/patches/0012-Don-t-use-colour-to-differentiate-between-free-and-p.patch
    - Don't use red to indicate propietary software (LP: #1750533)
  * debian/patches/0013-overview-page-Rotate-featured-apps.patch:
    - Support showing multiple banners (LP: #1750548)
  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Add basic system for connecting/disconnecting snap interfaces
      (LP: #1597314)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 Mar 2018 16:46:42 +0100

gnome-software (3.27.90-1ubuntu2) bionic; urgency=medium

  * debian/gnome-software.gsettings-override.in:
    - Update for renamed gsetting keys 

 -- Tim Lunn <tim@feathertop.org>  Sat, 03 Mar 2018 16:48:11 +1100

gnome-software (3.27.90-1ubuntu1) bionic; urgency=medium

  * Merge with Debian, remaining changes:
    + debian/patches/*.patch: Various Ubuntu changes from ubuntu-master
      branch - see patch headers for more information.
    + Add an "ubuntu-software" package with some branding for Ubuntu.

