=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-software
@@ -7,23 +7,22 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>,
-           Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream,
                appstream-util,
-               debhelper (>= 10.4),
+               debhelper (>= 11),
                docbook-xsl,
                gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.7.0~),
+               libappstream-glib-dev (>= 0.7.3),
                libflatpak-dev (>= 0.6.12) [linux-any],
-               libfwupd-dev (>= 0.9.3) [amd64 arm64 armhf i386],
+               libfwupd-dev (>= 0.9.8) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
                libgnome-desktop-3-dev (>= 3.18),
-               libgtk-3-dev (>= 3.20),
-               libgtkspell3-3-dev (>= 3.0),
+               libgtk-3-dev (>= 3.22.4),
+               libgspell-1-dev,
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev,
                liblimba-dev (>= 0.5.6) [linux-any],
@@ -31,21 +30,22 @@
                libpackagekit-glib2-dev (>= 1.1.4),
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
+               libsnapd-glib-dev (>= 1.19) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
                libsoup2.4-dev (>= 2.52),
-               libsnapd-glib-dev (>= 1.16),
                libsqlite3-dev,
                libxml2-utils,
                meson (>= 0.37),
                pkg-config,
-               valgrind,
+               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-artful
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
 
 Package: gnome-software
 Architecture: any
 Depends: appstream,
+         apt-config-icons,
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
          packagekit (>= 1.1.4),
@@ -56,7 +56,8 @@
 Breaks: gnome-packagekit-session (<< 3.16.0-2~)
 Conflicts: sessioninstaller
 Recommends: gnome-software-plugin-snap [linux-any],
-Suggests: fwupd [amd64 arm64 armhf i386],
+Suggests: apt-config-icons-hidpi,
+          fwupd [amd64 arm64 armhf i386],
           gnome-software-plugin-flatpak [linux-any],
           gnome-software-plugin-limba [linux-any]
 Description: Software Center for GNOME
@@ -120,10 +121,12 @@
  This package contains the Limba plugin.
 
 Package: gnome-software-plugin-snap
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
 Depends: gnome-software (= ${binary:Version}),
+         snapd [amd64 arm64 armel armhf i386 ppc64 ppc64el],
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: snapd [s390x]
 Breaks: gnome-software (<< 3.22.3)
 Replaces: gnome-software (<< 3.22.3)
 Description: Snap support for GNOME Software
@@ -140,7 +143,6 @@
 Package: gnome-packagekit-session
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: gnome-software (>= ${source:Version}),
          ${misc:Depends}
 Description: Transitional package (gnome-packagekit-session -> gnome-software)
@@ -153,6 +155,7 @@
 Package: gnome-software-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglib2.0-dev,
          libgtk-3-dev,
          libappstream-glib-dev,
@@ -168,6 +171,7 @@
 Package: gnome-software-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Software Center for GNOME - documentation
  Software lets you install and update applications and system extensions.
