## gnome-software 3.30.2

=== debian/changelog ===
gnome-software (3.30.2-0ubuntu5) cosmic; urgency=medium

  * debian/patches/0003-Sort-snaps-before-other-apps.patch:
    - Fix snap search result ordering (LP: #1798228)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Oct 2018 14:05:06 +1300

gnome-software (3.30.2-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0006-packagekit-Disable-updates.patch:
    - Stop offline updates from showing again (LP: #1797543)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Oct 2018 16:01:07 +1300

gnome-software (3.30.2-0ubuntu3) cosmic; urgency=medium

  * debian/patches/0024-shell-search-provider-implement-XUbuntuCancel.patch
    - implement XUbuntuCancel to request pending search cancellation from
      gnome-shell (LP: #1756826)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Oct 2018 12:25:34 +1300

gnome-software (3.30.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0023-snap-Don-t-treat-auth-cancellation-as-an-error.patch:
    - Stop cancelling snapd authorization triggers error notification
      (LP: #1785240)
  * debian/control:
    - Bump minimum version of libsnapd-glib-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 Oct 2018 16:51:51 +1300

gnome-software (3.30.2-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release (LP: #1789451)
  * debian/control:
    - Bump minimum version of libfwupd-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 Oct 2018 09:55:24 +1300

gnome-software (3.30.0-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release
  * debian/control:
    - Update build-dependencies on libappstream-glib-dev, libsnapd-glib-dev
  * debian/patches/0011-Support-snap-channels.patch
  * debian/patches/0021-snap-Use-wide-scope-when-searching.patch:
    - Use wide scope searching (LP: #1789338)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2018 11:00:24 +1200

gnome-software (3.29.92-0ubuntu2) cosmic; urgency=medium

  * debian/rules:
    - Build with PackageKit autoremove support (LP: #1552792)
  * debian/control:
    - Depend on the version of PackageKit which correctly does autoremove

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2018 11:04:47 +1200

gnome-software (3.29.92-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release
  * debian/control:
    - Limba plugin no longer provided
    - Update build-dependencies on libflatpak-dev, libsnapd-glib-dev
  * debian/rules:
    - Update renamed build options
  * debian/patches/0001-details-page-Correctly-hide-screenshot-widgets-when-.patch:
  * debian/patches/0001-details-page-Correctly-hide-support-widgets-when-no-.patch:
  * debian/patches/0001-snap-plugin-segfault.patch:
  * debian/patches/0015-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2018 16:08:52 +1200

gnome-software (3.29.1-0ubuntu6) cosmic; urgency=medium

  * debian/patches/0006-packagekit-Disable-updates.patch:
    - also disable offline updates in refresh plugin (LP: #1775226)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Aug 2018 11:58:58 +0200

gnome-software (3.29.1-0ubuntu5) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/0001-snap-plugin-segfault.patch:
    - don't segfault on null snap installation date (lp: #1781996)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2018 16:52:40 +0200

gnome-software (3.29.1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0001-details-page-Correctly-hide-screenshot-widgets-when-.patch:
  * debian/patches/0001-details-page-Correctly-hide-support-widgets-when-no-.patch:
  * debian/patches/0021-details-page-Don-t-show-missing-screenshot-placehold.patch:
    - Don't show placeholder image when not screenshots (LP: #1775794)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Jul 2018 16:38:29 +0200

gnome-software (3.29.1-0ubuntu3) cosmic; urgency=medium

  * debian/patches/0020-Delay-startup-of-GNOME-Software-to-allow-the-Shell-t.patch:
    - Delay startup of service to allow the shell to load first (LP: #1756379)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 25 Jun 2018 16:23:54 +1200

gnome-software (3.29.1-0ubuntu2) cosmic; urgency=medium

  * debian/control:
    - Bump minimum version of snapd-glib
  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix crash when have plugs with multiple slots available (LP: #1778160)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2018 15:44:13 +1200

gnome-software (3.29.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * debian/patches/0001-Fix-gs_app_set_state_recover-not-working-during-purc.patch:
  * debian/patches/0001-snap-Only-load-icons-once.patch:
  * debian/patches/0001-snap-Scale-embedded-snap-icons-to-64x64.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 May 2018 11:55:28 +1200

gnome-software (3.28.1-0ubuntu6) cosmic; urgency=medium

  * debian/patches/0011-Support-snap-channels.patch:
    - Make snap channel selection list scrollable (LP: #1768779)
    - Fix channel branches all showing the same name (LP: #1768794)
    - Alphabetically sort channel branch names (LP: #1769556)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 May 2018 16:31:46 +1200

gnome-software (3.28.1-0ubuntu5) cosmic; urgency=medium

  * debian/patches/0011-Support-snap-channels.patch:
    - Fix incorrect default install version being shown (LP: #1767445)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 May 2018 12:33:30 +1200
