=== debian/control ===
--- 
+++ 
@@ -16,21 +16,20 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.7.3),
-               libflatpak-dev (>= 0.6.12) [linux-any],
-               libfwupd-dev (>= 0.9.8) [amd64 arm64 armhf i386],
+               libappstream-glib-dev (>= 0.7.11),
+               libflatpak-dev (>= 0.99.3) [linux-any],
+               libfwupd-dev (>= 1.0.3) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
                libgnome-desktop-3-dev (>= 3.18),
                libgtk-3-dev (>= 3.22.4),
                libgspell-1-dev,
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev,
-               liblimba-dev (>= 0.5.6) [linux-any],
                liboauth-dev,
                libpackagekit-glib2-dev (>= 1.1.4),
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
-               libsnapd-glib-dev (>= 1.19) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
+               libsnapd-glib-dev (>= 1.43) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
                libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
                libxml2-utils,
@@ -40,7 +39,10 @@
                xsltproc
 Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
 
 Package: gnome-software
 Architecture: any
@@ -48,7 +50,7 @@
          apt-config-icons,
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
-         packagekit (>= 1.1.4),
+         packagekit (>= 1.1.10-1ubuntu3),
          software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -58,8 +60,7 @@
 Recommends: gnome-software-plugin-snap [linux-any],
 Suggests: apt-config-icons-hidpi,
           fwupd [amd64 arm64 armhf i386],
-          gnome-software-plugin-flatpak [linux-any],
-          gnome-software-plugin-limba [linux-any]
+          gnome-software-plugin-flatpak [linux-any]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .
@@ -100,25 +101,6 @@
  appdata format.
  .
  This package contains the Flatpak plugin.
-
-Package: gnome-software-plugin-limba
-Architecture: linux-any
-Depends: gnome-software (= ${binary:Version}),
-         limba,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: gnome-software (<< 3.21.92)
-Replaces: gnome-software (<< 3.21.92)
-Description: Limba support for GNOME Software
- Software lets you install and update applications and system extensions.
- .
- Software uses a plugin architecture to separate the frontend from the
- technologies that are used underneath. Currently, a PackageKit plugin provides
- data from a number of traditional packaging systems, such as rpm or apt. An
- appdata plugin provides additional metadata from locally installed data in the
- appdata format.
- .
- This package contains the Limba plugin.
 
 Package: gnome-software-plugin-snap
 Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
